Mint a child run event writer token
curl --request POST \
--url https://api.veryfront.com/runs/{parent_run_id}/children/{child_run_id}/event-writer-token \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/runs/{parent_run_id}/children/{child_run_id}/event-writer-token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/runs/{parent_run_id}/children/{child_run_id}/event-writer-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_event_token": "<string>"
}Delegates an expiring event-writer credential from an authenticated parent runtime to its direct child run, scoped to the child run identity and project.
POST
/
runs
/
{parent_run_id}
/
children
/
{child_run_id}
/
event-writer-token
Mint a child run event writer token
Authorizations
A run-bound Veryfront runtime event-writer token in the Authorization header.
Path Parameters
Required string length:
1 - 128Pattern:
^[a-zA-Z0-9_-]+$Required string length:
1 - 128Pattern:
^[a-zA-Z0-9_-]+$Response
Child run event writer token
Minimum string length:
1⌘I